Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class NotecardModel

    java.lang.Object
      org.infoml.infocardOrganizer.NotecardModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  UniqueContentModel

    public class NotecardModel

extends java.lang.Object
implements java.io.Serializable

Represents a notecard infocard. Includes getter and setter methods for all of the object's instance variables.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `cardId`
`protected java.util.List` | `contentList`
`protected java.lang.String` | `contentString` Text used to create the content element.
`protected java.util.GregorianCalendar` | `current`
`protected java.util.Calendar` | `date`
`protected java.lang.String` | `domain`
`protected java.lang.String` | `email`
`protected java.lang.String` | `first`
`protected java.lang.String` | `honorific`
`protected java.lang.String` | `middle1`
`protected java.lang.String` | `middle2`
`protected java.util.List` | `notes1List`
`protected java.lang.String` | `notes1String`
`protected java.util.List` | `notes2List`
`protected java.lang.String` | `notes2String`
`protected java.lang.String` | `number`
`protected java.lang.String` | `punctuation`
`protected java.util.List` | `selectorsList`
`protected java.lang.String` | `selectorsString`
`protected java.lang.String` | `sessionDomain`
`protected java.lang.String` | `sessionEmail`
`protected java.lang.String` | `sessionNumber`
`protected java.lang.String` | `sessionYahooId`
`protected java.lang.String` | `suffix`
`protected java.lang.String` | `surname`
`protected java.lang.String` | `time`
`protected java.lang.String` | `title`
`protected java.lang.String` | `type`
`protected java.lang.String` | `yahooId`

Constructor Summary
`NotecardModel()`

Method Summary
`java.lang.String` | `getCardId()`
`java.util.List` | `getContentList()`
`java.lang.String` | `getContentString()`
`java.util.Calendar` | `getDate()`
`java.lang.String` | `getDomain()`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getFirst()`
`java.lang.String` | `getHonorific()`
`java.lang.String` | `getMiddle1()`
`java.lang.String` | `getMiddle2()`
`java.util.List` | `getNotes1List()`
`java.lang.String` | `getNotes1String()`
`java.util.List` | `getNotes2List()`
`java.lang.String` | `getNotes2String()`
`java.lang.String` | `getNumber()`
`java.lang.String` | `getPunctuation()`
`java.util.List` | `getSelectorsList()`
`java.lang.String` | `getSelectorsString()`
`java.lang.String` | `getSessionDomain()`
`java.lang.String` | `getSessionEmail()`
`java.lang.String` | `getSessionNumber()`
`java.lang.String` | `getSessionYahooId()`
`java.lang.String` | `getSuffix()`
`java.lang.String` | `getSurname()`
`java.lang.String` | `getTime()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getYahooId()`
`void` | `increaseSequenceNumber(java.lang.String apelant)` Creates unique string used to create current infocard's cardId; result is placed in the field named "number"
`java.lang.String` | `removeWhiteSpace(java.lang.String source)`
`void` | `setCardId(java.lang.String cardId)`
`void` | `setContentList(java.lang.String contentString)`
`void` | `setContentString(java.lang.String contentString)`
`void` | `setContentStringFromList(java.util.List contentList)`
`void` | `setDate(java.util.Calendar date)`
`void` | `setDomain(java.lang.String domain)`
`void` | `setEmail(java.lang.String email)`
`void` | `setFirst(java.lang.String first)`
`void` | `setHonorific(java.lang.String honorific)`
`void` | `setMiddle1(java.lang.String middle1)`
`void` | `setMiddle2(java.lang.String middle2)`
`void` | `setNotes1List(java.lang.String notes1String)`
`void` | `setNotes1String(java.lang.String notes1String)`
`void` | `setNotes1StringFromList(java.util.List notes1List)`
`void` | `setNotes2List(java.lang.String notes2String)`
`void` | `setNotes2String(java.lang.String notes2)`
`void` | `setNotes2StringFromList(java.util.List notes2List)`
`void` | `setNumber(java.lang.String number)`
`void` | `setPunctuation(java.lang.String punctuation)`
`void` | `setSelectorsList(java.lang.String selectorsString)`
`void` | `setSelectorsString(java.lang.String selectorsString)`
`void` | `setSelectorsStringFromList(java.util.List selectorsList)`
`void` | `setSessionDomain(java.lang.String sessionDomain)`
`void` | `setSessionEmail(java.lang.String sessionEmail)`
`void` | `setSessionNumber(java.lang.String sessionNumber)`
`void` | `setSessionYahooId(java.lang.String sessionYahooId)`
`void` | `setSuffix(java.lang.String suffix)`
`void` | `setSurname(java.lang.String surname)`
`void` | `setTime()`
`void` | `setTime(java.lang.String time)`
`void` | `setTitle(java.lang.String title)`
`boolean` | `setupInf()`
`void` | `setYahooId(java.lang.String yahooId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected java.lang.String title

### contentString

    protected java.lang.String contentString

  Text used to create the content element. Successive paragraphs must be separated by an empty line.

### contentList

    protected java.util.List contentList

### notes1List

    protected java.util.List notes1List

### notes2List

    protected java.util.List notes2List

### notes1String

    protected java.lang.String notes1String

### notes2String

    protected java.lang.String notes2String

### selectorsString

    protected java.lang.String selectorsString

### selectorsList

    protected java.util.List selectorsList

### first

    protected java.lang.String first

### surname

    protected java.lang.String surname

### honorific

    protected java.lang.String honorific

### middle1

    protected java.lang.String middle1

### middle2

    protected java.lang.String middle2

### suffix

    protected java.lang.String suffix

### punctuation

    protected java.lang.String punctuation

### number

    protected java.lang.String number

### sessionNumber

    protected java.lang.String sessionNumber

### email

    protected java.lang.String email

### sessionEmail

    protected java.lang.String sessionEmail

### domain

    protected java.lang.String domain

### sessionDomain

    protected java.lang.String sessionDomain

### yahooId

    protected java.lang.String yahooId

### sessionYahooId

    protected java.lang.String sessionYahooId

### time

    protected java.lang.String time

### date

    protected java.util.Calendar date

### cardId

    protected java.lang.String cardId

### current

    protected java.util.GregorianCalendar current

### type

    protected java.lang.String type

Constructor Detail

### NotecardModel

    public NotecardModel()

Method Detail

### setTime

    public void setTime()

### increaseSequenceNumber

    public void increaseSequenceNumber(java.lang.String apelant)

  Creates unique string used to create current infocard's cardId; result is placed in the field named "number"

  Parameters:
    `apelant` -

### setupInf

    public boolean setupInf()

### setNotes1StringFromList

    public void setNotes1StringFromList(java.util.List notes1List)

### setNotes2StringFromList

    public void setNotes2StringFromList(java.util.List notes2List)

### setNotes1List

    public void setNotes1List(java.lang.String notes1String)

### setNotes2List

    public void setNotes2List(java.lang.String notes2String)

### getContentString

    public java.lang.String getContentString()

### setContentString

    public void setContentString(java.lang.String contentString)

### removeWhiteSpace

    public java.lang.String removeWhiteSpace(java.lang.String source)

### setContentStringFromList

    public void setContentStringFromList(java.util.List contentList)

### setContentList

    public void setContentList(java.lang.String contentString)

### getContentList

    public java.util.List getContentList()

### getNotes1String

    public java.lang.String getNotes1String()

### getNotes1List

    public java.util.List getNotes1List()

### setNotes1String

    public void setNotes1String(java.lang.String notes1String)

### getNotes2List

    public java.util.List getNotes2List()

### getNotes2String

    public java.lang.String getNotes2String()

### setNotes2String

    public void setNotes2String(java.lang.String notes2)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getSelectorsList

    public java.util.List getSelectorsList()

### setSelectorsStringFromList

    public void setSelectorsStringFromList(java.util.List selectorsList)

### setSelectorsList

    public void setSelectorsList(java.lang.String selectorsString)

### setSelectorsString

    public void setSelectorsString(java.lang.String selectorsString)

### getSelectorsString

    public java.lang.String getSelectorsString()

### getFirst

    public java.lang.String getFirst()

### setFirst

    public void setFirst(java.lang.String first)

### getSurname

    public java.lang.String getSurname()

### setSurname

    public void setSurname(java.lang.String surname)

### getDate

    public java.util.Calendar getDate()

### setDate

    public void setDate(java.util.Calendar date)

### getMiddle1

    public java.lang.String getMiddle1()

### setMiddle1

    public void setMiddle1(java.lang.String middle1)

### getMiddle2

    public java.lang.String getMiddle2()

### setMiddle2

    public void setMiddle2(java.lang.String middle2)

### getHonorific

    public java.lang.String getHonorific()

### setHonorific

    public void setHonorific(java.lang.String honorific)

### getPunctuation

    public java.lang.String getPunctuation()

### setPunctuation

    public void setPunctuation(java.lang.String punctuation)

### getSuffix

    public java.lang.String getSuffix()

### setSuffix

    public void setSuffix(java.lang.String suffix)

### getNumber

    public java.lang.String getNumber()

### setNumber

    public void setNumber(java.lang.String number)

### getDomain

    public java.lang.String getDomain()

### setDomain

    public void setDomain(java.lang.String domain)

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String email)

### getYahooId

    public java.lang.String getYahooId()

### setYahooId

    public void setYahooId(java.lang.String yahooId)

### getSessionDomain

    public java.lang.String getSessionDomain()

### setSessionDomain

    public void setSessionDomain(java.lang.String sessionDomain)

### getSessionEmail

    public java.lang.String getSessionEmail()

### setSessionEmail

    public void setSessionEmail(java.lang.String sessionEmail)

### getSessionNumber

    public java.lang.String getSessionNumber()

### setSessionNumber

    public void setSessionNumber(java.lang.String sessionNumber)

### getSessionYahooId

    public java.lang.String getSessionYahooId()

### setSessionYahooId

    public void setSessionYahooId(java.lang.String sessionYahooId)

### getTime

    public java.lang.String getTime()

### setTime

    public void setTime(java.lang.String time)

### getCardId

    public java.lang.String getCardId()

### setCardId

    public void setCardId(java.lang.String cardId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD